package demo;

import java.io.*;
import java.util.*;

import com.japisoft.fastparser.*;
import com.japisoft.fastparser.node.*;
import com.japisoft.fastparser.walker.*;

/**
 * Benchmark of FastParser. Look at Demo2 for the Xerces result
 * <p>
 * This benchmark shows you the processing time
 * </p>
 * @author (c) 2002-2003 JAPISOFT
 * @version 1.0
 * @since 1.0
 */
public class Demo {

    public static void main( String[] args ) throws Throwable {
	System.out.println( "Starting benchmark" );
	Runtime r = Runtime.getRuntime();
	long timeInit = System.currentTimeMillis();
	SaxParser p = new SaxParser();
	p.setDocumentHandler( new CommonDocumentHandler() );
	p.setInputStream( new FileInputStream( args[ 0 ] ) );
	System.out.println( "Parsing " + args[ 0 ] );
	p.parse();
	SimpleNode root = ( SimpleNode )p.getDocument().getRoot();
	System.out.println( "FastParser result" );
	System.out.println( "Elapsed time :" + ( System.currentTimeMillis() - timeInit ) + " ms" );
	System.exit( 0 );
    }

}

