package demo;

import java.io.*;
import java.util.*;
import org.apache.xerces.parsers.*;
import org.xml.sax.*;

/**
 * Benchmark of Xerces. Note that you need xerces (http://xml.apache.org) for 
 * comparing both result.
 * <p>
 * This benchmark shows you the processing time.
 * </p>
 * @author (c) 2002-2003 JAPISOFT
 * @version 1.0
 * @since 1.0
 */
public class Demo2 {
    public static void main( String[] args ) throws Throwable {
	System.out.println( "Starting benchmark" );
	Runtime r = Runtime.getRuntime();
	long timeInit = System.currentTimeMillis();

	SAXParser parser = new SAXParser();
	System.out.println( "Parsing " + args[ 0 ] );
	parser.parse( new InputSource( new FileInputStream( args[ 0 ] ) ) );
	parser.setDocumentHandler( new CommonDocumentHandler() );

	System.out.println( "Xerces SAX parsing result" );
	System.out.println( "Elapsed time :" + ( System.currentTimeMillis() - timeInit ) + " ms" );
	System.exit( 0 );
    }

}

